#!/usr/bin/env bash
# Filename: download.sh
# author: 'Jia Chao'

touch index.txt
wget http://mirrors.ustc.edu.cn/openeuler/security/data/cvrf/index.txt -O new.txt 2> /dev/null

diff new.txt index.txt | rg '<' | awk '{print $2}' | while read line
do
  wget -c http://mirrors.ustc.edu.cn/openeuler/security/data/cvrf/$line -O $line
done

mv new.txt index.txt
